import { defineMessages } from 'react-intl';

export default (configContext) => {
  const {
    CompoundInput,
    DateInput,
  } = configContext.inputComponents;

  const {
    configKey: config,
  } = configContext.configHelpers;

  return {
    params: {
      [config]: {
        view: {
          type: CompoundInput,
        },
      },
      startDate: {
        [config]: {
          messages: defineMessages({
            name: {
              id: 'field.report.sample.startDate.name',
              defaultMessage: 'From',
            },
          }),
          required: true,
          view: {
            type: DateInput,
          },
        },
      },
      endDate: {
        [config]: {
          messages: defineMessages({
            name: {
              id: 'field.report.sample.endDate.name',
              defaultMessage: 'To',
            },
          }),
          required: true,
          view: {
            type: DateInput,
          },
        },
      },
    },
  };
};
